summaryrefslogtreecommitdiff
path: root/bin/extra
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2024-07-01 16:07:29 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2024-07-01 16:07:29 +0200
commit30a898e1040ec91cea1ceeb2180bdcf7265f2407 (patch)
tree027b532b59f44afc2d6bbb598f9f7998cb97f764 /bin/extra
parent9d91de38af90ee1d4033666d10613eb03f3d747f (diff)
checkpoint
Diffstat (limited to 'bin/extra')
-rwxr-xr-xbin/extra/wd5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/extra/wd b/bin/extra/wd
index 1b56aa6..b0e91a0 100755
--- a/bin/extra/wd
+++ b/bin/extra/wd
@@ -1,6 +1,7 @@
#!/bin/sh
-[ "$1" ] || exit 1
-dict "$1" |
+[ "$1" ] && word="$1" || exit 1
+shift
+dict "$word" $@ |
sed -e '/^ /!d;s/^ //' |
sed -e '/^$/d;s/^[^ ].*$/\o033[1;4;34m&\o033[0m/' |